<?php require_once 'vendor/autoload.php';

$spreadsheet = new \PhpOffice\PhpSpreadsheet\Spreadsheet();
$spreadsheet->getActiveSheet()->setDataValidation(
    'A1:A2',
    (new \PhpOffice\PhpSpreadsheet\Cell\DataValidation())
        ->setType(\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_LIST)
        ->setShowDropDown(true)
        ->setFormula1('"A,B,C,"')
);

// XLS saving - Works with ranges as it doesn't merge cell coordinates
(new \PhpOffice\PhpSpreadsheet\Writer\Xls($spreadsheet))->save('out.xls');

// XLSX saving - Worked with ranges before cell coordinates were merged into ranges
(new \PhpOffice\PhpSpreadsheet\Writer\Xlsx($spreadsheet))->save('out.xlsx');
